VERSION 5.00
Begin VB.Form Form1 
   AutoRedraw      =   -1  'True
   Caption         =   "Form1"
   ClientHeight    =   3135
   ClientLeft      =   1140
   ClientTop       =   1515
   ClientWidth     =   3510
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   209
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   234
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function Polygon Lib "gdi32" (ByVal hdc As Long, lpPoint As POINTAPI, ByVal nCount As Long) As Long
Private Type POINTAPI
    x As Long
    y As Long
End Type
Private Sub Form_Load()
Const PI As Single = 3.14159265

Dim orig_pts(1 To 4) As POINTAPI
Dim pts(1 To 4) As POINTAPI
Dim theta As Single
Dim dtheta As Single
Dim cx As Single
Dim cy As Single
Dim i As Integer
Dim p As Integer
Dim new_x As Single
Dim new_y As Single

    ScaleMode = vbPixels

    ' Define the rectangle centered at the origin.
    orig_pts(1).x = -ScaleWidth * 0.3
    orig_pts(2).x = -orig_pts(1).x
    orig_pts(3).x = orig_pts(2).x
    orig_pts(4).x = orig_pts(1).x

    orig_pts(1).y = orig_pts(1).x
    orig_pts(2).y = orig_pts(1).y
    orig_pts(3).y = -orig_pts(1).y
    orig_pts(4).y = orig_pts(3).y

    ' Find the center of the form.
    cx = ScaleWidth / 2
    cy = ScaleHeight / 2

    DrawWidth = 2

    theta = 0
    dtheta = PI / 8
    For i = 1 To 4
        ' Rotate by angle theta.
        For p = 1 To 4
            With orig_pts(p)
                ' Rotate around the origin.
                new_x = Cos(theta) * .x - Sin(theta) * .y
                new_y = Sin(theta) * .x + Cos(theta) * .y
            End With
            With pts(p)
                ' Center the rectangle.
                .x = new_x + cx
                .y = new_y + cy
            End With
        Next p

        ' Draw the rotated rectangle.
        ForeColor = QBColor(i)
        Polygon hdc, pts(1), 4

        theta = theta + dtheta
    Next i
End Sub


